Security Builder FIPS Java Module

Certificate details

Certificate ID #578
Status historical
Historical reason RNG SP800-131A Revision 1 Transition
Validation dates 25.10.2005 , 20.07.2007 , 06.03.2009
Standard FIPS 140-2
Security level 1
Type Software
Embodiment Multi-Chip Stand Alone
Caveat When operated in FIPS mode
Description The Security Builder FIPS Java Module is a standards-based cryptographic toolkit written in Java. It supports optimized Elliptic Curve Cryptography and provides application developers with sophisticated tools to flexibly integrate encryption, digital signatures and other security mechanisms into Java-based applications. The Security Builder FIPS Java Module is intended for use by developers who want government level security and can also be used in conjunction with other Certicom developer toolkits including Security Builder PKI and Security Builder SSL.
Tested configurations
  • Red Hat Linux Application Server 3.0 x86 (Binary compatible to AS 2.1)
  • Solaris 2.9 32-bit SPARC
  • Solaris 2.9 64-bit SPARC
  • Sun Java Runtime Environment (JRE) 1.3.1 and 1.4.2 running on Windows 2003 x86 (Binary compatible to Windows 98/2000/XP)
Vendor Certicom Corp. http://www.certicom.com
Lab DOMUS
Algorithms
References

This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates.

Security policy

Extracted keywords

Symmetric Algorithms
AES, DES, TDES, HMAC, HMAC-SHA-224, HMAC-SHA-384, HMAC-SHA-512, HMAC-SHA-256
Asymmetric Algorithms
ECDH, ECDSA, DH, Diffie-Hellman, DSA
Hash functions
SHA1, SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, MD5
Schemes
Key Agreement
Randomness
RNG
Block cipher modes
ECB, CBC

Security level
Level 1
Side-channel analysis
Timing Attack, Timing attack, Timing Attacks, Bleichenbacher attack

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

No automatically derived data are available in this section.

Cross-references

No references are available for this certificate.

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.fips.FIPSCertificate",
  "cert_id": 578,
  "dgst": "b2cc86ae48fd3b87",
  "heuristics": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
    "algorithms": {
      "_type": "Set",
      "elements": [
        "#227",
        "#298",
        "#318",
        "#307",
        "RNG#68",
        "HMAC#37",
        "AES#227",
        "Triple-DES#318",
        "ECDSA#6",
        "#54",
        "RSA#54",
        "DSA#128",
        "#128",
        "SHS#307",
        "#68"
      ]
    },
    "cpe_matches": null,
    "direct_transitive_cves": null,
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "-"
      ]
    },
    "indirect_transitive_cves": null,
    "module_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "module_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "policy_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "policy_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "related_cves": null,
    "verified_cpe_matches": null
  },
  "pdf_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
    "br1_deviations": 39,
    "br1_tables": null,
    "is_br1_format": false,
    "keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECDH": {
            "ECDH": 7
          },
          "ECDSA": {
            "ECDSA": 9
          }
        },
        "FF": {
          "DH": {
            "DH": 7,
            "Diffie-Hellman": 2
          },
          "DSA": {
            "DSA": 9
          }
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "CBC": {
          "CBC": 5
        },
        "ECB": {
          "ECB": 5
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {},
      "crypto_scheme": {
        "KA": {
          "Key Agreement": 8
        }
      },
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {},
      "fips_cert_id": {
        "Cert": {
          "#1": 7,
          "#128": 1,
          "#227": 1,
          "#298": 1,
          "#307": 5,
          "#318": 1,
          "#37": 5,
          "#54": 1,
          "#6": 1,
          "#68": 1
        }
      },
      "fips_certlike": {
        "Certlike": {
          "DSA 11": 1,
          "HMAC-SHA-1": 4,
          "HMAC-SHA-224": 4,
          "HMAC-SHA-256": 2,
          "HMAC-SHA-384": 4,
          "HMAC-SHA-512": 4,
          "HMAC-SHA256": 2,
          "PKCS #1": 11,
          "RSA 2": 1,
          "RSA PKCS #1": 3,
          "SHA-1": 1,
          "SHA-224": 2,
          "SHA-256": 2,
          "SHA-384": 2,
          "SHA-512": 2,
          "SHA1": 1
        }
      },
      "fips_security_level": {
        "Level": {
          "Level 1": 5
        }
      },
      "hash_function": {
        "MD": {
          "MD5": {
            "MD5": 2
          }
        },
        "SHA": {
          "SHA1": {
            "SHA-1": 1,
            "SHA1": 1
          },
          "SHA2": {
            "SHA-224": 2,
            "SHA-256": 2,
            "SHA-384": 2,
            "SHA-512": 2
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "RNG": {
          "RNG": 10
        }
      },
      "side_channel_analysis": {
        "SCA": {
          "Timing Attack": 2,
          "Timing Attacks": 1,
          "Timing attack": 1
        },
        "other": {
          "Bleichenbacher attack": 1
        }
      },
      "standard_id": {
        "FIPS": {
          "FIPS 140-2": 13,
          "FIPS 180-2": 5,
          "FIPS 186-2": 3,
          "FIPS 197": 1,
          "FIPS 198": 5,
          "FIPS 46-3": 2,
          "FIPS PUB 140-2": 5
        },
        "PKCS": {
          "PKCS #1": 7
        },
        "RFC": {
          "RFC 1115": 1,
          "RFC 1321": 1,
          "RFC 2104": 1,
          "RFC 2268": 1
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 6
          }
        },
        "DES": {
          "3DES": {
            "TDES": 6
          },
          "DES": {
            "DES": 13
          }
        },
        "constructions": {
          "MAC": {
            "HMAC": 1,
            "HMAC-SHA-224": 2,
            "HMAC-SHA-256": 1,
            "HMAC-SHA-384": 2,
            "HMAC-SHA-512": 2
          }
        }
      },
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "module_algorithms": {
      "_type": "Set",
      "elements": [
        "RNG#68",
        "HMAC#37",
        "AES#227",
        "Triple-DES#318",
        "ECDSA#6",
        "RSA#54",
        "DSA#128",
        "SHS#307"
      ]
    },
    "policy_algorithms": {
      "_type": "Set",
      "elements": [
        "#227",
        "#318",
        "#307",
        "#54",
        "#298",
        "#128",
        "#68"
      ]
    },
    "policy_metadata": {
      "/CreationDate": "D:20050927141124Z",
      "/Creator": "dvips(k) 5.86 Copyright 1999 Radical Eye Software",
      "/ModDate": "D:20051025135451-04\u002700\u0027",
      "/Producer": "GNU Ghostscript 8.01",
      "/Title": "SBFIPSJModule2SecurityPolicy.dvi",
      "pdf_file_size_bytes": 107270,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": []
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 28
    }
  },
  "state": {
    "_type": "sec_certs.sample.fips.InternalState",
    "module": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    },
    "policy": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "a70d5948c6fa5c0d8c50c740435a3d9e040fdfca99ada1377fe0e9c85457cfad",
      "source_hash": "eed6f50e5fe7c21e2b459e0722f2c4096117dd8c773ac7959e8542f6f3b35d45",
      "txt_hash": "b301506fe7126d4ff336c37ec539349028180b80fe7ef614e7dae271849ea4fd"
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
    "caveat": "When operated in FIPS mode",
    "certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/140crt578.pdf",
    "date_sunset": null,
    "description": "The Security Builder FIPS Java Module is a standards-based cryptographic toolkit written in Java. It supports optimized Elliptic Curve Cryptography and provides application developers with sophisticated tools to flexibly integrate encryption, digital signatures and other security mechanisms into Java-based applications. The Security Builder FIPS Java Module is intended for use by developers who want government level security and can also be used in conjunction with other Certicom developer toolkits including Security Builder PKI and Security Builder SSL.",
    "embodiment": "Multi-Chip Stand Alone",
    "exceptions": null,
    "fw_versions": null,
    "historical_reason": "RNG SP800-131A Revision 1 Transition",
    "hw_versions": null,
    "level": 1,
    "mentioned_certs": {},
    "module_name": "Security Builder FIPS Java Module",
    "module_type": "Software",
    "revoked_link": null,
    "revoked_reason": null,
    "standard": "FIPS 140-2",
    "status": "historical",
    "sw_versions": "2.0",
    "tested_conf": [
      "Red Hat Linux Application Server 3.0 x86 (Binary compatible to AS 2.1)",
      "Solaris 2.9 32-bit SPARC",
      "Solaris 2.9 64-bit SPARC",
      "Sun Java Runtime Environment (JRE) 1.3.1 and 1.4.2 running on Windows 2003 x86 (Binary compatible to Windows 98/2000/XP)"
    ],
    "validation_history": [
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2005-10-25",
        "lab": "DOMUS",
        "validation_type": "Initial"
      },
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2007-07-20",
        "lab": "",
        "validation_type": "Update"
      },
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2009-03-06",
        "lab": "",
        "validation_type": "Update"
      }
    ],
    "vendor": "Certicom Corp.",
    "vendor_url": "http://www.certicom.com"
  }
}